summaryrefslogtreecommitdiffstats
path: root/source/l/libpcap
diff options
context:
space:
mode:
author Patrick J Volkerding <volkerdi@slackware.com>2018-05-28 19:12:29 +0000
committer Eric Hameleers <alien@slackware.com>2018-05-31 23:39:35 +0200
commit646a5c1cbfd95873950a87b5f75d52073a967023 (patch)
treeb8b8d2ab3b0d432ea69ad1a64d1c789649d65020 /source/l/libpcap
parentd31c50870d0bee042ce660e445c9294a59a3a65b (diff)
downloadcurrent-646a5c1cbfd95873950a87b5f75d52073a967023.tar.gz
current-646a5c1cbfd95873950a87b5f75d52073a967023.tar.xz
Mon May 28 19:12:29 UTC 201820180528191229
a/pkgtools-15.0-noarch-13.txz: Rebuilt. installpkg: default line length for --terselength is the number of columns. removepkg: added --terse mode. upgradepkg: default line length for --terselength is the number of columns. upgradepkg: accept -option in addition to --option. ap/vim-8.1.0026-x86_64-1.txz: Upgraded. d/bison-3.0.5-x86_64-1.txz: Upgraded. e/emacs-26.1-x86_64-1.txz: Upgraded. kde/kopete-4.14.3-x86_64-8.txz: Rebuilt. Recompiled against libidn-1.35. n/conntrack-tools-1.4.5-x86_64-1.txz: Upgraded. n/libnetfilter_conntrack-1.0.7-x86_64-1.txz: Upgraded. n/libnftnl-1.1.0-x86_64-1.txz: Upgraded. n/links-2.16-x86_64-2.txz: Rebuilt. Rebuilt to enable X driver for -g mode. n/lynx-2.8.9dev.19-x86_64-1.txz: Upgraded. n/nftables-0.8.5-x86_64-1.txz: Upgraded. n/p11-kit-0.23.11-x86_64-1.txz: Upgraded. n/ulogd-2.0.7-x86_64-1.txz: Upgraded. n/whois-5.3.1-x86_64-1.txz: Upgraded. xap/network-manager-applet-1.8.12-x86_64-1.txz: Upgraded. xap/vim-gvim-8.1.0026-x86_64-1.txz: Upgraded.
Diffstat (limited to 'source/l/libpcap')
-rwxr-xr-xsource/l/libpcap/libpcap.SlackBuild24
-rw-r--r--source/l/libpcap/slack-desc14
2 files changed, 25 insertions, 13 deletions
diff --git a/source/l/libpcap/libpcap.SlackBuild b/source/l/libpcap/libpcap.SlackBuild
index bd44a36b8..fd25d9e0c 100755
--- a/source/l/libpcap/libpcap.SlackBuild
+++ b/source/l/libpcap/libpcap.SlackBuild
@@ -1,6 +1,6 @@
-#!/bin/sh
+#!/bin/bash
-# Copyright 2008, 2009, 2010, 2012 Patrick J. Volkerding, Sebeka, MN, USA
+# Copyright 2008, 2009, 2010, 2012, 2018 Patrick J. Volkerding, Sebeka, MN, USA
# All rights reserved.
#
# Redistribution and use of this script, with or without modification, is
@@ -20,9 +20,11 @@
# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+cd $(dirname $0) ; CWD=$(pwd)
+
PKGNAM=libpcap
VERSION=${VERSION:-$(echo $PKGNAM-*.tar.gz | rev | cut -f 3- -d . | cut -f 1 -d - | rev)}
-BUILD=${BUILD:-1}
+BUILD=${BUILD:-2}
# Automatically determine the architecture we're building on:
if [ -z "$ARCH" ]; then
@@ -34,6 +36,14 @@ if [ -z "$ARCH" ]; then
esac
fi
+# If the variable PRINT_PACKAGE_NAME is set, then this script will report what
+# the name of the created package would be, and then exit. This information
+# could be useful to other scripts.
+if [ ! -z "${PRINT_PACKAGE_NAME}" ]; then
+ echo "$PKGNAM-$VERSION-$ARCH-$BUILD.txz"
+ exit 0
+fi
+
NUMJOBS=${NUMJOBS:-" -j7 "}
if [ "$ARCH" = "x86_64" ]; then
@@ -42,7 +52,6 @@ else
LIBDIRSUFFIX=""
fi
-CWD=$(pwd)
TMP=${TMP:-/tmp}
PKG=$TMP/package-libpcap
@@ -69,7 +78,7 @@ CFLAGS="$(getconf LFS_CFLAGS)" \
--mandir=/usr/man \
--docdir=/usr/doc/libpcap-$VERSION \
--enable-ipv6 \
- --build=$ARCH-slackware-linux
+ --build=$ARCH-slackware-linux || exit 1
make $NUMJOBS || make || exit 1
make shared $NUMJOBS || make || exit 1
@@ -77,7 +86,10 @@ make shared $NUMJOBS || make || exit 1
mkdir -p $PKG/usr/bin # otherwise it errors out on install
make install DESTDIR=$PKG || exit 1
-strip --strip-debug libpcap.so.1.?.?
+strip --strip-debug libpcap.so.?.?.?
+
+# Don't ship the static library:
+rm -f $PKG/usr/lib${LIBDIRSUFFIX}/libpcap.a
mkdir -p $PKG/usr/doc/libpcap-$VERSION
cp -a \
diff --git a/source/l/libpcap/slack-desc b/source/l/libpcap/slack-desc
index 63fb98760..a4a7cb4f3 100644
--- a/source/l/libpcap/slack-desc
+++ b/source/l/libpcap/slack-desc
@@ -1,19 +1,19 @@
# HOW TO EDIT THIS FILE:
-# The "handy ruler" below makes it easier to edit a package description. Line
+# The "handy ruler" below makes it easier to edit a package description. Line
# up the first '|' above the ':' following the base package name, and the '|'
-# on the right side marks the last column you can put a character in. You must
-# make exactly 11 lines for the formatting to be correct. It's also
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
# customary to leave one space after the ':'.
|-----handy-ruler------------------------------------------------------|
libpcap: libpcap (packet capture library)
libpcap:
-libpcap: libpcap is a library for user-level packet capture. libpcap provides
-libpcap: a portable framework for low-level network monitoring. Applications
+libpcap: libpcap is a library for user-level packet capture. libpcap provides
+libpcap: a portable framework for low-level network monitoring. Applications
libpcap: include network statistics collection, security monitoring, network
-libpcap: debugging, etc. The tcpdump utility uses libpcap.
+libpcap: debugging, etc. The tcpdump utility uses libpcap.
libpcap:
-libpcap: Project homepage: http://www.tcpdump.org
+libpcap: Project homepage: http://www.tcpdump.org
libpcap:
libpcap:
libpcap: